import { Vector3 } from "@minecraft/server";
import AbstractAgentTrackMission from "../../Commandeer/level/abstractTrackFollowMission";
import { vector3 } from "../../Commandeer/utils/vectorUtils";

const Level3CommandBlockPos: Vector3 = vector3(2439, 0, 34);
const level3StartPosition: Vector3 = vector3(2447, -2, 30);
const level3EndPosition: Vector3 = vector3(2451, -2, 18);

const level3ResetCommandBlockPos: Vector3 = vector3(56, 68, 211);

let mission1part3: AbstractAgentTrackMission = new AbstractAgentTrackMission(
  "mission1part3",
  level3StartPosition,
  level3EndPosition,
  Level3CommandBlockPos
);
export default mission1part3;
